> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxmouseventargs.md).

# TagTextBoxMousEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [MouseEventArgs](/api/wisej.web/general/control/wisej.web.mouseeventargs.md)
  * [TagTextBoxMousEventArgs](/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxmouseventargs.md)

Provides data for the [TagClick](/api/wisej.web/editors/tagtextbox.md#tagclick) or [TagDoubleClick](/api/wisej.web/editors/tagtextbox.md#tagdoubleclick) events of a [TagTextBox](/api/wisej.web/editors/tagtextbox.md) control

{% tabs %}
{% tab title="C#" %}

```csharp
public class TagTextBoxMousEventArgs : MouseEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TagTextBoxMousEventArgs
    Inherits MouseEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) TagTextBoxMousEventArgs(text, index, button, clicks)

Initializes a new instance of the [TagTextBoxMousEventArgs](/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxmouseventargs.md) class.

| Name       | Type                                                                  | Description                                                                                                                           |
| ---------- | --------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| **text**   | [String](https://docs.microsoft.com/dotnet/api/system.string)         | Text of the tag that is being notified with the event.                                                                                |
| **index**  | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)           | Index of the tag that is being notified with the event.                                                                               |
| **button** | [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) | One of the [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) values that indicate which mouse button was pressed. |
| **clicks** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)           | The number of times a mouse button was pressed.                                                                                       |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Index

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the tag being clicked or double clicked.

### ![](/files/hsR4ok3152WyAf8J2C1u) Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Text of the tag that is being clicked or double clicked.

## Used By

| Name                                                                                                    | Description                                                                                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [TagTextBoxMousEventHandler](/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxmouseventhandler.md) | Represents the method that will handle the [TagClick](/api/wisej.web/editors/tagtextbox.md#tagclick) or [TagDoubleClick](/api/wisej.web/editors/tagtextbox.md#tagdoubleclick) events of a [TagTextBox](/api/wisej.web/editors/tagtextbox.md) control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxmouseventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
